com.fasterxml.jackson.dataformat.avro

## Class AvroTypeDeserializer

- java.lang.Object
- - com.fasterxml.jackson.databind.jsontype.TypeDeserializer
  - - com.fasterxml.jackson.databind.jsontype.impl.TypeDeserializerBase
    - - com.fasterxml.jackson.dataformat.avro.AvroTypeDeserializer

- All Implemented Interfaces:
    Serializable

      public class AvroTypeDeserializer
      extends com.fasterxml.jackson.databind.jsontype.impl.TypeDeserializerBase

  Since:
    2.9
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.jsontype.impl.TypeDeserializerBase

      `_baseType, _defaultImpl, _defaultImplDeserializer, _deserializers, _idResolver, _property, _typeIdVisible, _typePropertyName`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AvroTypeDeserializer(com.fasterxml.jackson.databind.JavaType baseType, com.fasterxml.jackson.databind.jsontype.TypeIdResolver idRes, String typePropertyName, boolean typeIdVisible, com.fasterxml.jackson.databind.JavaType defaultImpl)`
    `protected` | `AvroTypeDeserializer(com.fasterxml.jackson.databind.jsontype.impl.TypeDeserializerBase src, com.fasterxml.jackson.databind.BeanProperty property)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected com.fasterxml.jackson.databind.JavaType` | `_handleUnknownTypeId(com.fasterxml.jackson.databind.DeserializationContext ctxt, String typeId)`
    `Object` | `deserializeTypedFromAny(com.fasterxml.jackson.core.JsonParser p, com.fasterxml.jackson.databind.DeserializationContext ctxt)`
    `Object` | `deserializeTypedFromArray(com.fasterxml.jackson.core.JsonParser p, com.fasterxml.jackson.databind.DeserializationContext ctxt)`
    `Object` | `deserializeTypedFromObject(com.fasterxml.jackson.core.JsonParser p, com.fasterxml.jackson.databind.DeserializationContext ctxt)`
    `Object` | `deserializeTypedFromScalar(com.fasterxml.jackson.core.JsonParser p, com.fasterxml.jackson.databind.DeserializationContext ctxt)`
    `com.fasterxml.jackson.databind.jsontype.TypeDeserializer` | `forProperty(com.fasterxml.jackson.databind.BeanProperty prop)`
    `com.fasterxml.jackson.annotation.JsonTypeInfo.As` | `getTypeInclusion()`

    - ### Methods inherited from class com.fasterxml.jackson.databind.jsontype.impl.TypeDeserializerBase

      `_deserializeWithNativeTypeId, _deserializeWithNativeTypeId, _findDefaultImplDeserializer, _findDeserializer, _handleMissingTypeId, baseType, baseTypeName, getDefaultImpl, getPropertyName, getTypeIdResolver, toString`

    - ### Methods inherited from class com.fasterxml.jackson.databind.jsontype.TypeDeserializer

      `deserializeIfNatural, deserializeIfNatural`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AvroTypeDeserializer

          protected AvroTypeDeserializer(com.fasterxml.jackson.databind.JavaType baseType,
                                         com.fasterxml.jackson.databind.jsontype.TypeIdResolver idRes,
                                         String typePropertyName,
                                         boolean typeIdVisible,
                                         com.fasterxml.jackson.databind.JavaType defaultImpl)

    - #### AvroTypeDeserializer

          protected AvroTypeDeserializer(com.fasterxml.jackson.databind.jsontype.impl.TypeDeserializerBase src,
                                         com.fasterxml.jackson.databind.BeanProperty property)

  - ### Method Detail

    - #### forProperty

          public com.fasterxml.jackson.databind.jsontype.TypeDeserializer forProperty(com.fasterxml.jackson.databind.BeanProperty prop)

      Specified by:
        `forProperty` in class `com.fasterxml.jackson.databind.jsontype.impl.TypeDeserializerBase`

    - #### getTypeInclusion

          public com.fasterxml.jackson.annotation.JsonTypeInfo.As getTypeInclusion()

      Specified by:
        `getTypeInclusion` in class `com.fasterxml.jackson.databind.jsontype.impl.TypeDeserializerBase`

    - #### deserializeTypedFromObject

          public Object deserializeTypedFromObject(com.fasterxml.jackson.core.JsonParser p,
                                                   com.fasterxml.jackson.databind.DeserializationContext ctxt)
                                            throws IOException

      Specified by:
        `deserializeTypedFromObject` in class `com.fasterxml.jackson.databind.jsontype.TypeDeserializer`
      Throws:
        `IOException`

    - #### deserializeTypedFromArray

          public Object deserializeTypedFromArray(com.fasterxml.jackson.core.JsonParser p,
                                                  com.fasterxml.jackson.databind.DeserializationContext ctxt)
                                           throws IOException

      Specified by:
        `deserializeTypedFromArray` in class `com.fasterxml.jackson.databind.jsontype.TypeDeserializer`
      Throws:
        `IOException`

    - #### deserializeTypedFromScalar

          public Object deserializeTypedFromScalar(com.fasterxml.jackson.core.JsonParser p,
                                                   com.fasterxml.jackson.databind.DeserializationContext ctxt)
                                            throws IOException

      Specified by:
        `deserializeTypedFromScalar` in class `com.fasterxml.jackson.databind.jsontype.TypeDeserializer`
      Throws:
        `IOException`

    - #### deserializeTypedFromAny

          public Object deserializeTypedFromAny(com.fasterxml.jackson.core.JsonParser p,
                                                com.fasterxml.jackson.databind.DeserializationContext ctxt)
                                         throws IOException

      Specified by:
        `deserializeTypedFromAny` in class `com.fasterxml.jackson.databind.jsontype.TypeDeserializer`
      Throws:
        `IOException`

    - #### _handleUnknownTypeId

          protected com.fasterxml.jackson.databind.JavaType _handleUnknownTypeId(com.fasterxml.jackson.databind.DeserializationContext ctxt,
                                                                                 String typeId)
                                                                          throws IOException

      Overrides:
        `_handleUnknownTypeId` in class `com.fasterxml.jackson.databind.jsontype.impl.TypeDeserializerBase`
      Throws:
        `IOException`

Copyright © 2019 FasterXML. All rights reserved.